library(tibble)

datasets <- file_path_sans_ext(list.files(here::here("data", "real_data")))
# FIXME: Deal with the loske datasets properly.
datasets <- setdiff(datasets, c("loske", "loske_seurat"))

n_datasets <- length(datasets)

n_cells <- numeric(n_datasets)
n_celltypes <- numeric(n_datasets)

for (i in seq_along(datasets)) {
  path <- here::here("data", "real_data", paste0(datasets[[i]], ".rds"))
  sce <- readRDS(path)
  n_cells[[i]] <- ncol(sce)
  n_celltypes[[i]] <- length(unique(colLabels(sce)))
  remove(sce)
}

dataset_info <- tibble(
  dataset = datasets,
  n_cells = n_cells,
  n_celltypes = n_celltypes
)

dataset_info
