pars_lookup <- c(
  seurat_poisson = "Seurat (Poisson GLM)",
  seurat_t = "Seurat (t-test)",
  scanpy_t_rankby_raw = "Scanpy (t-test, raw)",
  scanpy_t_rankby_abs = "Scanpy (t-test, abs)",
  seurat_negbinom = "Seurat (NB GLM)",
  seurat_bimod = "Seurat (Bimod)",
  limma_voom = "limma (voom)",
  scanpy_tover_rankby_raw = "Scanpy (oev t-test, raw)",
  scanpy_tover_rankby_abs = "Scanpy (oev t-test, abs)",
  seurat_wilcox = "Seurat (Wilcoxon)",
  seurat_roc = "Seurat (ROC)",
  seurat_MAST = "Seurat (MAST)",
  seurat_LR = "Seurat (Logistic regression)",
  scanpy_wilcoxon_rankby_raw = "Scanpy (Wilcoxon, raw)",
  scanpy_wilcoxon_rankby_abs = "Scanpy (Wilcoxon, abs)",
  presto = "presto",
  lm_two_sample = "Student's t-test",
  limma_trend = "limma (trend)",
  rankcorr_20 = "RankCorr (20)",
  edger_ql = "edgeR (QL)",
  edger_glm = "edgeR (GLM)",
  rankcorr_10 = "RankCorr (10)",
  rankcorr_5 = "RankCorr (5)",
  logfc_abs = "Log fold-change (abs)",
  logfc_raw = "Log fold-change (raw)",
  rankcorr_2 = "RankCorr (2)",
  random = "Random",
  glmgampoi = "glmGamPoi",
  scanpy_wilcoxontiecorrect_rankby_raw = "Scanpy (Wilcoxon TC, raw)",
  scanpy_wilcoxontiecorrect_rankby_abs = "Scanpy (Wilcoxon TC, abs)",
  nsforest = "NSForest",
  cepo = "Cepo",
  scran_findMarkers_binom_all = "findMarkers (Binom, all)",
  scran_findMarkers_binom_any = "findMarkers (Binom, any)",
  scran_findMarkers_binom_some = "findMarkers (Binom, some)",
  scran_findMarkers_t_all = "findMarkers (t, all)",
  scran_findMarkers_t_any = "findMarkers (t, any)",
  scran_findMarkers_t_some = "findMarkers (t, some)",
  scran_findMarkers_wilcox_all = "findMarkers (wilcox, all)",
  scran_findMarkers_wilcox_any = "findMarkers (wilcox, any)",
  scran_findMarkers_wilcox_some = "findMarkers (wilcox, some)",
  scran_scoreMarkers_max_AUC = "scoreMarkers (Max AUC)",
  scran_scoreMarkers_mean_AUC = "scoreMarkers (Mean AUC)",
  scran_scoreMarkers_median_AUC = "scoreMarkers (Median AUC)",
  scran_scoreMarkers_min_AUC = "scoreMarkers (Min AUC)",
  scran_scoreMarkers_rank_AUC = "scoreMarkers (Rank AUC)",
  scran_scoreMarkers_max_logFC_cohen = "scoreMarkers (Max logFC Cohen)",
  scran_scoreMarkers_mean_logFC_cohen = "scoreMarkers (Mean logFC Cohen)",
  scran_scoreMarkers_median_logFC_cohen = "scoreMarkers (Median logFC Cohen)",
  scran_scoreMarkers_min_logFC_cohen = "scoreMarkers (Min logFC Cohen)",
  scran_scoreMarkers_rank_logFC_cohen = "scoreMarkers (Rank logFC Cohen)",
  scran_scoreMarkers_max_logFC_detected = "scoreMarkers (Max logFC detected)",
  scran_scoreMarkers_mean_logFC_detected = "scoreMarkers (Mean logFC detected)",
  scran_scoreMarkers_median_logFC_detected = "scoreMarkers (Median logFC detected)",
  scran_scoreMarkers_min_logFC_detected = "scoreMarkers (Min logFC detected)",
  scran_scoreMarkers_rank_logFC_detected = "scoreMarkers (Rank logFC detected)",
  cosg = "COSG",
  venice = "Venice",
  smash = "SMaSH"
)

test.use_lookup <- c(
  "bimod" = "McDavid LRT",
  "LR" = "Logistic regression",
  "MAST" = "MAST",
  "negbinom" = "Negative binomial GLM",
  "poisson" = "Poisson GLM",
  "roc" = "ROC curve",
  "t" = "Welch t-test",
  "wilcox" = "Wilcoxon test"
)

method_lookup <- c(
  logfc = "Log fold-change",
  edger = "edgeR",
  glmgampoi = "glmGamPoi",
  limma = "limma",
  presto = "presto",
  lm = "Student's t-test",
  random = "Random",
  rankcorr = "RankCorr",
  scanpy = "Scanpy",
  scran = "scran",
  seurat = "Seurat",
  cepo = "Cepo",
  nsforest = "NSForest",
  cosg = "COSG",
  venice = "Venice",
  smash = "SMaSH"
)

endothelial_clusters_lookup <- c(
  `Endothelial - arteriole` = "Arteriole",
  `Endothelial - CA4+ capillary` = "C4A+ capillary",
  `Endothelial - capillary` = "Capillary",
  `Endothelial - inflamed` = "Inflamed",
  `Endothelial - peribronchiolar` = "Peribronchiolar",
  `Endothelial - venule` = "Venule",
  `Lymphatic` = "Lymphatic"
)

astrocyte_clusters_lookup <- c(
  `Astro_AMY` = "AMY",
  `Astro_AMY_CTX` = "AMY-CTX",
  `Astro_CTX` = "CTX",
  `Astro_HPC` = "HPC",
  `Astro_HYPO` = "HYPO",
  `Astro_STR` = "STR",
  `Astro_THAL_hab` = "THAL-hab",
  `Astro_THAL_lat` = "THAL-lat",
  `Astro_THAL_med` = "TAHL-med",
  `Astro_WM` = "WM"
)

dataset_lookup <- c(
  lawlor = "Lawlor",
  pbmc3k = "pbmc3k",
  zeisel = "Zeisel",
  endothelial = "Endothelial",
  paul = "Paul",
  ss3_pbmc = "SMART-seq3",
  mesenchymal = "Mesenchymal",
  astrocyte = "Astrocyte",
  citeseq = "CITE-seq",
  zhao = "Zhao",
  stephenson = "Stephenson",
  ren = "Ren",
  yoshida = "Yoshida",
  dominguez_conde = "Dominguez Conde"
)

metric_lookup <- c(
  accuracy = "Accuracy",
  mean_recall = "Mean recall",
  mean_precision = "Mean precision",
  mean_f1_score = "Mean F1 score",
  median_f1_score = "Median F1 score",
  recall = "Recall",
  precision = "Precision",
  f1_score = "F1 score"
)

package_fill_values <- c(
  "#2f4f4f", "#8b4513", "#7cfc00", "#000080", "#0000ff", "#ffa500", "#ff00ff",
  "#00ffff", "#1e90ff", "#228b22", "#ff0000", "#eee8aa", "#ff69b4", "#ffdf00",
  "#4B0082", "#FF7276"
)
names(package_fill_values) <- method_lookup
package_fill <- scale_fill_manual(name = "Package", values = package_fill_values)

package_colour_values <- c(
  "#2f4f4f", "#8b4513", "#7cfc00", "#000080", "#0000ff", "#ffa500", "#ff00ff",
  "#00ffff", "#1e90ff", "#228b22", "#ff0000", "#eee8aa", "#ff69b4", "#ffdf00",
  "#4B0082", "#FF7276"
)
names(package_colour_values) <- method_lookup
package_colour <- scale_colour_manual(
  name = "Package",
  values = package_colour_values
)

external_package_colour_values <- c(
  "#8b4513", "#7cfc00", "#000080", "#0000ff", "#00ffff", "#1e90ff", "#228b22",
  "#ff0000", "#eee8aa", "#ff69b4", "#ffdf00",  "#4B0082", "#FF7276"
)
names(external_package_colour_values) <- c(
  "edgeR", "glmGamPoi", "limma", "presto", "RankCorr", "Scanpy", "scran",
  "Seurat", "Cepo", "NSForest", "COSG", "Venice", "SMaSH"
)
external_package_colour <- scale_colour_manual(
  name = "Package",
  values = external_package_colour_values
)

external_package_fill_values <- c(
  "#8b4513", "#7cfc00", "#000080", "#0000ff", "#00ffff", "#1e90ff", "#228b22",
  "#ff0000", "#eee8aa", "#ff69b4", "#ffdf00", "#4B0082", "#FF7276"
)
names(external_package_fill_values) <- c(
  "edgeR", "glmGamPoi", "limma", "presto", "RankCorr", "Scanpy", "scran",
  "Seurat", "Cepo", "NSForest", "COSG", "Venice", "SMaSH"
)
external_package_fill <- scale_fill_manual(
  name = "Package",
  values = external_package_fill_values
)

de_package_fill_values <- c(
  "#8b4513", "#7cfc00", "#000080", "#0000ff", "#1e90ff", "#228b22", "#ff0000"
)
names(de_package_fill_values) <- c(
  "edgeR", "glmGamPoi", "limma", "presto", "Scanpy", "scran", "Seurat"
)
de_package_fill <- scale_fill_manual(
  name = "Package",
  values = de_package_fill_values
)

