library(ggplot2)
library(dplyr)

source(here::here("code", "plot-utils.R"))

label_pars <- c(
  "scanpy_wilcoxontiecorrect_rankby_abs",
  "scanpy_t_rankby_abs",
  "edger_ql",
  "scran_t_any",
  "nsforest",
  "scran_wilcox_some",
  "cepo",
  "rankcorr_2",
  "seurat_negbinom",
  "limma_trend",
  "glmgampoi",
  "seurat_t",
  "seurat_MAST",
  "scanpy_wilcoxon_rankby_abs",
  "presto"
)

fig_paths <- list.files(here::here("figures", "raw"), full.names = TRUE)

for (i in seq_along(fig_paths)) {

  fig_path <- fig_paths[[i]]

  n <- nchar(basename(fig_path))
  file_name <- paste0(substr(basename(fig_path), 1, n - 4), ".pdf")

  ggsave(
    filename = here::here("figures", "talk", file_name),
    plot = readRDS(fig_path),
    width = 8,
    height = 8,
    units = "in"
  )
}
