#!/bin/bash

rm logs/*

module load snakemake/7.22.0
module load R/4.1.2

# Create the needed simulation parameters.
R CMD BATCH --no-save --no-restore code/simulation-pars.R logs/simulation-pars.Rout
R CMD BATCH --no-save --no-restore code/method-pars.R logs/method-pars.Rout
R CMD BATCH --no-save --no-restore code/expert-marker-genes.R logs/expert-marker-genes.Rout

snakemake -s Snakefile.py --profile slurm --cluster-status ./status.py --latency-wait 60
